Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.behavior
Class ComponentControlBehavior

    java.lang.Object
      javax.faces.component.behavior.BehaviorBase
          javax.faces.component.behavior.ClientBehaviorBase
              org.richfaces.component.behavior.ClientBehavior
                  org.richfaces.component.behavior.ComponentControlBehavior

All Implemented Interfaces:
  javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder

    public class ComponentControlBehavior

extends ClientBehavior

Author:
  Anton Belevich

Field Summary
`static java.lang.String` | `BEHAVIOR_ID`

Constructor Summary
`ComponentControlBehavior()`

Method Summary
`java.util.List<javax.faces.component.UIComponent>` | `getChildren()`
`java.lang.String` | `getEvent()`
`java.lang.String` | `getOnbeforeoperation()`
`java.lang.String` | `getOperation()`
`java.lang.String` | `getRendererType()`
`java.lang.String` | `getSelector()`
`java.lang.String` | `getTarget()`
`void` | `setEvent(java.lang.String event)`
`void` | `setLiteralAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setOnbeforeoperation(java.lang.String onbeforeoperation)`
`void` | `setOperation(java.lang.String operation)`
`void` | `setSelector(java.lang.String selector)`
`void` | `setTarget(java.lang.String target)`

Methods inherited from class org.richfaces.component.behavior.ClientBehavior
`compare, getFacesContext, getStateHelper, getValueExpression, restoreState, saveState, setLiteralValue, setValueExpression`

Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase
`decode, getHints, getRenderer, getScript`

Methods inherited from class javax.faces.component.behavior.BehaviorBase
`addBehaviorListener, broadcast, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.Behavior
`broadcast`

Field Detail

### BEHAVIOR_ID

    public static final java.lang.String BEHAVIOR_ID

See Also:
  Constant Field Values

Constructor Detail

### ComponentControlBehavior

    public ComponentControlBehavior()

Method Detail

### getChildren

    public java.util.List<javax.faces.component.UIComponent> getChildren()

### getEvent

    public java.lang.String getEvent()

### setEvent

    public void setEvent(java.lang.String event)

### getTarget

    public java.lang.String getTarget()

### setTarget

    public void setTarget(java.lang.String target)

### getSelector

    public java.lang.String getSelector()

### setSelector

    public void setSelector(java.lang.String selector)

### getOperation

    public java.lang.String getOperation()

### setOperation

    public void setOperation(java.lang.String operation)

### getOnbeforeoperation

    public java.lang.String getOnbeforeoperation()

### setOnbeforeoperation

    public void setOnbeforeoperation(java.lang.String onbeforeoperation)

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `javax.faces.component.behavior.ClientBehaviorBase`

### setLiteralAttribute

    public void setLiteralAttribute(java.lang.String name,
                                    java.lang.Object value)

  Specified by:
    `setLiteralAttribute` in class `ClientBehavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.